Summary: Optimizer for PNG (Portable Network Graphics) files
Name: pngcrush
Version: 1.8.6
Release: 1
License: GPL
Group: Applications/File
URL: http://pmt.sourceforge.net/%{name}/
Source0: http://dl.sf.net/pmt/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make

%description
pngcrush is an optimizer for PNG (Portable Network Graphics) files. It can be
run from a commandline in an MSDOS window, or from a UNIX or LINUX commandline.

Its main purpose is to reduce the size of the PNG IDAT datastream by trying
various compression levels an PNG filter methods. It also can be used to
remove unwanted ancillary chunks, or to add certain chunks including gAMA,
tRNS, iCCP, and textual chunks. 


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

cp pngcrush ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,0755)
%doc ChangeLog*
%{_bindir}/*
/usr/bin/*


%changelog
* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.7.92-1
- updated to version 1.7.92

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.7.91-1
- updated to version 1.7.91

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 1.7.88-1
- updated to version 1.7.88

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 1.7.87-1
- updated to version 1.7.87

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.7.85-1
- updated to version 1.7.85

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.7.84-1
- updated to version 1.7.84

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.7.81-1
- updated to version 1.7.81

* Sat Nov 01 2014 Michael Perzl <michael@perzl.org> - 1.7.78-1
- updated to version 1.7.78

* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 1.7.77-1
- updated to version 1.7.77

* Mon Jun 23 2014 Michael Perzl <michael@perzl.org> - 1.7.76-1
- updated to version 1.7.76

* Mon Mar 17 2014 Michael Perzl <michael@perzl.org> - 1.7.73-1
- updated to version 1.7.73

* Mon Feb 10 2014 Michael Perzl <michael@perzl.org> - 1.7.71-1
- updated to version 1.7.71

* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 1.7.69-1
- updated to version 1.7.69

* Fri Jul 19 2013 Michael Perzl <michael@perzl.org> - 1.7.66-1
- updated to version 1.7.66

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 1.7.63-1
- updated to version 1.7.63

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 1.7.58-1
- updated to version 1.7.58

* Sat Mar 09 2013 Michael Perzl <michael@perzl.org> - 1.7.53-1
- updated to version 1.7.53

* Wed Mar 06 2013 Michael Perzl <michael@perzl.org> - 1.7.52-1
- updated to version 1.7.52

* Sun Feb 17 2013 Michael Perzl <michael@perzl.org> - 1.7.51-1
- updated to version 1.7.51

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 1.7.44-1
- updated to version 1.7.44

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.7.41-1
- updated to version 1.7.41

* Sun Sep 02 2012 Michael Perzl <michael@perzl.org> - 1.7.37-1
- updated to version 1.7.37

* Wed Aug 01 2012 Michael Perzl <michael@perzl.org> - 1.7.35-1
- updated to version 1.7.35

* Sat Jul 28 2012 Michael Perzl <michael@perzl.org> - 1.7.34-1
- updated to version 1.7.34

* Tue Jul 24 2012 Michael Perzl <michael@perzl.org> - 1.7.32-1
- updated to version 1.7.32

* Mon Jan 30 2012 Michael Perzl <michael@perzl.org> - 1.7.22-1
- updated to version 1.7.22

* Fri Oct 14 2011 Michael Perzl <michael@perzl.org> - 1.7.20-1
- updated to version 1.7.20, built with statically provided libpng

* Fri Sep 11 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Fri Jul 17 2009 Michael Perzl <michael@perzl.org> - 1.6.20-1
- updated to version 1.6.20

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.6.19-1
- updated to version 1.6.19

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.6.17-1
- updated to version 1.6.17

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 1.6.13-1
- updated to version 1.6.13

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 1.6.7-1
- updated to version 1.6.7

* Tue May 20 2008 Michael Perzl <michael@perzl.org> - 1.6.6-1
- first version for AIX V5.1 and higher
